"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.serve = void 0;
const fs_1 = require("fs");
const child_process_1 = require("child_process");
const config_1 = require("../config");
const ora_1 = __importDefault(require("ora"));
function serve() {
    const functions = (0, fs_1.readdirSync)(config_1.config.functionsDir).filter((f) => f.endsWith('.ts'));
    for (const functionFile of functions) {
        const functionName = functionFile.replace('.ts', '');
        (0, ora_1.default)().succeed(`Serving ${functionName}`);
        (0, child_process_1.execSync)(`npx functions-framework --source=${config_1.config.buildDir}/${functionName} --target=${functionName}`);
    }
}
exports.serve = serve;
//# sourceMappingURL=serve.js.map